Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 289799 - dev-libs/boost-1.35.0-r2 / gcc-4.4 - ./boost/mpl/apply_wrap.hpp:81:31: error: missing binary operator before token "("
Summary: dev-libs/boost-1.35.0-r2 / gcc-4.4 - ./boost/mpl/apply_wrap.hpp:81:31: error:...
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: C++ Team [disbanded]
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-10-19 19:54 UTC by Maurice Gilden
Modified: 2009-11-24 16:18 UTC (History)
5 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
build.log (build.log,9.48 KB, text/plain)
2009-10-20 15:28 UTC, Maurice Gilden
Details
build.log boost-1.36.0-r1 failing with sys-devel/gcc-4.4.1 (boost-1.36.0-r1-build.log,109.76 KB, text/plain)
2009-10-21 23:31 UTC, Michael Weber (RETIRED)
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maurice Gilden 2009-10-19 19:54:35 UTC
While trying to upgrade to KDE 4.3 boost failes to compile.

Reproducible: Always

Steps to Reproduce:
1. emerge kdebase-meta:4.3 (or emerge boost)

Actual Results:  
 * ERROR: dev-libs/boost-1.35.0-r2 failed.
 * Call stack:
 *               ebuild.sh, line   49:  Called src_compile
 *             environment, line 3643:  Called die
 * The specific snippet of code:
 *       bjam ${NUMJOBS} -q ${OPTIONS} threading=single,multi link=shared,static runtime-link=shared,static --prefix="${D}/usr" --layout=system || die "building boost failed";
 *  The die message:
 *   building boost failed


It's probably related to gcc 4.4.2. With gcc 4.3 boost compiles successfully.
Comment 1 Rafał Mużyło 2009-10-19 21:09:05 UTC
Probably it is a problem with gcc 4.4,
but what's you've posted lacks any usable info about the problem.
Either paste the real error or attach build.log.
Comment 2 Maurice Gilden 2009-10-20 15:28:06 UTC
Created attachment 207684 [details]
build.log
Comment 3 Jeroen Roovers gentoo-dev 2009-10-21 17:20:26 UTC
Please post your `emerge --info' too.
Comment 4 Dirkjan Ochtman gentoo-dev 2009-10-21 17:27:00 UTC
It would be even better if you could try this with boost-1.39 or boost-1.40.
Comment 5 Michael Weber (RETIRED) gentoo-dev 2009-10-21 21:30:02 UTC
(In reply to comment #3)
> Please post your `emerge --info' too.
> 

I can reproduce this compile failure with gcc-config set to the 4.4.2. The 4.3.4 seems to work.

 Portage 2.1.6.13 (default/linux/amd64/2008.0, gcc-4.3.4, glibc-2.10.1-r0, 2.6.31-gentoo-r2-pandora.2 x86_64)
=================================================================
System uname: Linux-2.6.31-gentoo-r2-pandora.2-x86_64-AMD_Phenom-tm-_II_X4_920_Processor-with-gentoo-2.0.1
Timestamp of tree: Wed, 21 Oct 2009 20:30:12 +0000
distcc 3.1 x86_64-pc-linux-gnu [disabled]
ccache version 2.4 [enabled]
app-shells/bash:     4.0_p28
dev-java/java-config: 2.1.8-r1
dev-lang/python:     2.6.2-r1
dev-util/ccache:     2.4-r7
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r4
sys-apps/sandbox:    1.6-r2
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.18-r3
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a
virtual/os-headers:  2.6.30-r1
ACCEPT_KEYWORDS="amd64"
CBUILD="x86_64-pc-linux-gnu"
CFLAGS="-march=amdfam10 -mfpmath=sse -mieee-fp -O2 -pipe"
CHOST="x86_64-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/share/config /var/lib/hsqldb"
CONFIG_PROTECT_MASK="/etc/ca-certificates.conf /etc/env.d /etc/env.d/java/ /etc/eselect/postgresql /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext-active/ /etc/revdep-rebuild /etc/sandbox.d /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"
CXXFLAGS="-march=amdfam10 -mfpmath=sse -mieee-fp -O2 -pipe"
DISTDIR="/usr/portage/distfiles"
EMERGE_DEFAULT_OPTS="--jobs 4"
FEATURES="ccache distlocks fixpackages parallel-fetch protect-owned sandbox sfperms strict unmerge-orphans userfetch"
GENTOO_MIRRORS="http://nash.fs.lmu.de/gentoo/"
LANG="en_US.UTF-8"
LC_ALL="en_US.UTF-8"
LDFLAGS="-Wl,-O1"
LINGUAS="de en"
MAKEOPTS="-j8"
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_EXTRA_OPTS="--ipv6"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --exclude=/local --exclude=/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /usr/local/portage/layman/gnome /usr/local/portage/layman/sunrise /usr/local/portage/layman/xmw /usr/local/portage/layman/x11"
SYNC="rsync://nash.fs.lmu.de/gentoo-portage"
USE="3dnow X a52 aac aalib acl acpi alsa amd64 apache2 bash-completion berkdb bluetooth bzip2 cairo cdda cddb cdparanoia cdr cgi cli cracklib crypt ctype cups dbus dga directfb djvu doc dri dts dv dvb dvd dvdr dvdread encode exif faac faad fbcon ffmpeg fftw flac fontconfig fortran gdbm gif gimp glut gnome gnome-keyring gphoto2 gpm gs gtk hal iconv id3tag ieee1394 imagemagick ipod ipv6 isdnlog java java6 jbig joystick jpeg jpeg2k kde lame latex lcms libsamplerate lm_sensors lzma lzo mad mikmod mmap mmx mng modules mp3 mpeg mplayer mudflap multilib mysql ncurses nls nptl nptlonly nsplugin ogg openal openexr opengl openmp pam pch pcre pdf perl png postgres pppd python qt3 qt4 quicktime raw readline reflection rle samba sdl session smp speex spell spl sqlite sse sse2 ssl subversion svg symlink sysfs syslog tcl tcpd theora threads tiff tk truetype unicode usb vhosts vim-syntax vorbis wavpack x264 xcb xine xinerama xml xorg xscreensaver xulrunner xv xvid zlib" ALSA_CARDS="ali5451 als4000 atiixp atiixp-modem bt87x ca0106 cmipci emu10k1x ens1370 ens1371 es1938 es1968 fm801 hda-intel intel8x0 intel8x0m maestro3 trident usb-audio via82xx via82xx-modem ymfpci" ALSA_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate route share shm softvol" APACHE2_MODULES="actions alias auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cache dav dav_fs dav_lock deflate dir disk_cache env expires ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir usertrack vhost_alias" ELIBC="glibc" INPUT_DEVICES="evdev" KERNEL="linux" LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="de en" USERLAND="GNU" VIDEO_CARDS="nvidia"
Unset:  CPPFLAGS, CTARGET, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS
Comment 6 Michael Weber (RETIRED) gentoo-dev 2009-10-21 23:29:14 UTC
(In reply to comment #5)
> I can reproduce this compile failure with gcc-config set to the 4.4.2. The
> 4.3.4 seems to work.
Errata: I've gcc-4.4.1 on this machine.

sys-devel/gcc-4.4.1, dev-libs/boost-1.40.0: works
sys-devel/gcc-4.4.1, dev-libs/boost-1.39.0: works
sys-devel/gcc-4.4.1, dev-libs/boost-1.37.0-r1: works
sys-devel/gcc-4.4.1, dev-libs/boost-1.36.0-r1: fails (see attachment)
sys-devel/gcc-4.4.1, dev-libs/boost-1.35.0-r2: fails (initial issue)
sys-devel/gcc-4.3.4, dev-libs/boost-1.35.0-r2: works

Maybe someone would add an <sys-devel/gcc-4.4 to boost's DEPEND.

Michael
Comment 7 Michael Weber (RETIRED) gentoo-dev 2009-10-21 23:31:49 UTC
Created attachment 207867 [details]
build.log boost-1.36.0-r1 failing with sys-devel/gcc-4.4.1
Comment 8 Dirkjan Ochtman gentoo-dev 2009-10-22 06:50:17 UTC
Thanks for all your testing work! I'm going to be focusing on trying to get 1.40 to work everywhere, so it's nice to see that it works neatly with gcc-4.4.1.
Comment 9 Sebastian Luther (few) 2009-11-24 16:18:52 UTC
boost:1.35 is fixed in >=boost-1.35.0-r5. For boost:1.36 see bug 287638.